Bug 7957 - [UPDATE REQUEST 2014.1] linux-firmware 20170517
: [UPDATE REQUEST 2014.1] linux-firmware 20170517
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-22 12:06 MSD by Eugene Shatokhin
Modified: 2017-06-14 06:43 MSD (History)
2 users (show)

See Also:
RPM Package: linux-firmware, dkms-rtl8723bs
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2017-05-22 12:06:34 MSD
1. Updated linux firmware with many potentially useful additions.

2. Sync'ed dkms-rtl8723bs to the version from ROSA R8.1 that does not conflict with this new firmware. Note that this version of the driver will not build with kernel 4.4 or earlier (it is not used with these anyway).

It is possible to update the driver this way, because we have kernel 4.9 in the repositories now. Anyway, the users mostly do not use this driver with the older kernels, so we are unlikely to break something severely.

The technical purpose of this update is to avoid conflicts with the new firmware and simplify future maintenance.
Comment 1 Eugene Shatokhin 2017-05-22 12:11:22 MSD
Advisory:
linux-firmware was updated to revision d3c5f65e  (2017-05-17). This update provides the following among other things:
* Signed firmware for many GeForce GTX 10xx graphics cards by NVidia (GP102 - GP107).
* Firmware for Polaris 12 graphics cards by AMD (presumably, Radeon RX 550, etc.).
* Revisited ucode files for Intel WiFi and Bluetooth adapters.
* Firmware for RTL8723BS WiFi adapters by Realtek.
* Intel: updated audio firmware.
* Broadcom: updated firmware for BCM43340/1 SDIO devices (bug fix), added files for BCM4358 PCIe and BCM4356 SDIO devices.
* and more

In addition, dkms-rtl8723bs was sync'ed to the version from ROSA R8.1 that does not conflict with this new firmware. Note that this version of the driver will not work with kernel 4.1.x.

Build lists:

linux-firmware:
https://abf.io/build_lists/2872031
https://abf.io/build_lists/2872032

dkms-rtl8723bs:
https://abf.io/build_lists/2872033
https://abf.io/build_lists/2872034
Comment 2 Vladimir Potapov 2017-06-07 14:04:17 MSD
The update is sent to expanded testing
******************************************
Comment 3 Eugene Shatokhin 2017-06-07 14:39:35 MSD
Advisory:
linux-firmware was updated to revision d3c5f65e  (2017-05-17). This update provides the following among other things:
* Signed firmware for many GeForce GTX 10xx graphics cards by NVidia (GP102 - GP107).
* Firmware for Polaris 12 graphics cards by AMD (presumably, Radeon RX 550, etc.).
* Revisited ucode files for Intel WiFi and Bluetooth adapters.
* Firmware for RTL8723BS WiFi adapters by Realtek.
* Intel: updated audio firmware.
* Broadcom: updated firmware for BCM43340/1 SDIO devices (bug fix), added files for BCM4358 PCIe and BCM4356 SDIO devices.
* and more

In addition, dkms-rtl8723bs older than 4.4 will now be uninstalled automatically when linux-firmware is update to this version, to avoid conflicts. If the driver is needed, it is available at http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/rosa2014.1/

Build lists:
https://abf.io/build_lists/2878169
https://abf.io/build_lists/2878170
Comment 4 Vladimir Potapov 2017-06-13 19:44:37 MSD
linux-firmware-20170517-19.gitd3c5f65e
https://abf.io/build_lists/2878169
https://abf.io/build_lists/2878170
******************************** Advisory ******************************
linux-firmware was updated to revision d3c5f65e  (2017-05-17).

In addition, dkms-rtl8723bs older than 4.4 will now be uninstalled automatically when linux-firmware is update to this version, to avoid conflicts. If the driver is needed, it is available at http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/rosa2014.1/
************************************************************************
QA Verified